<?php

namespace loyalsoft;

/**
 * Description of Ins_YanLin
 *
 * @author cyzhao
 */
class Ins_YanLin extends Object_ext {

    /**
     * 言灵id
     * @var type
     */
    public $typeId = 0;

    /**
     * 挂在的英雄的uid
     * @var type
     */
    public $herouid = 0;

    /**
     * 当前的经验
     * @var type
     */
    public $curStarExp = 0;

    /**
     * 当前的星级
     * @var type
     */
    public $starLv = 0;

    /**
     * 言灵的等级
     * @var type
     */
    public $level = 1;

    public function __construct($args = null) {
        parent::__construct($args);
    }

    public function initialize($missId) {
        
    }

    /**
     * @return \sm_item_yanling mo
     */
    public function mo() {
        return GameConfig::item_yanling_getItem($this->typeId);
    }

}
